import *as React from 'react';
import {
  Input,
  InputOnChangeData,
  Button,
  Form,
  ButtonProps,
} from 'semantic-ui-react';

export interface StateProps {
}

export interface DispatchProps {
  onForgotPassword?(pass:string):void;
}

export type Props = StateProps & DispatchProps;

export interface State {
  email: string;
}

export class PWChange extends React.Component<Props, State> {
  constructor(props: Props, context: State) {
    super(props, context);

    this.state = {
      email:null,
    };

  }

  public render(): JSX.Element {
    return (
      <Form>
        <Form.Input placeholder='Email' onChange={
          (event: React.SyntheticEvent<HTMLInputElement>, data: InputOnChangeData) => {
            this.setState({ email: data.value });
          }} />
        <Form.Group>
          <Button primary fluid style={{margin:'7'}} onClick={this.forgotPwClick}>    Submit  </Button>
          <Button fluid style={{margin:'7'}}>    Cancel  </Button>
        </Form.Group>
      </Form>
    );
  }

  private forgotPwClick(event: React.SyntheticEvent<HTMLButtonElement>, data: ButtonProps):void {
    this.props.onForgotPassword(this.state.pass);
  }
}

